Registrarse
Home
Foros
Miembros
Calendario
Normas
Ayuda

Foros de usuarios de openSUSE
Retroceder   ForoSUSE > Zona Software > Software


Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook

Respuesta
 
Herramientas Desplegado

Compilando GDL en openSUSE 13.1
  #1  
Antiguo 25-mar-2014, 20:57
Sancordar Sancordar está desconectado
Aforado
 
Fecha de Ingreso: 25-marzo-2014
Versión: Tumbleweed
Mensajes: 6
Agradecimientos: 1
Agradecido 1 Vez en 1 Mensaje
Poder de Credibilidad: 0
Sancordar está en el buen camino
Compilando GDL en openSUSE 13.1

Saludos a la comunidad.

He intentado, sin éxito, compilar GDL (GNU Data Language) en mi openSUSE 13.1, luego de intentar un poco y de instalar algunas dependencias y de ver que ésto (instalar GDL en openSUSE) ha sido un marrón más bien grande desde hace tiempo, he decidido pedir ayuda a la comunidad.

Mi problema en principio. He seguido las instrucciones que vienen en el INSTALL.cmake y las recomendaciones que se encuentran en internet (concretamente en el foro de GDL), como por ejemplo hacer el cmake ignorando dependencias recomendadas.
Luego de hacer
Código:
$ cmake .. -DHDF=OFF -DPYTHON=OFF
y de hacer el
Código:
$ make
el proceso de compilación sigue sin problemas aparentes hasta que termina de la siguiente forma:

Código:
[100%] Building CXX object src/CMakeFiles/gdl.dir/gdl.cpp.o
Linking CXX executable gdl
/usr/lib64/libps.so: referencia a `png_set_gray_1_2_4_to_8' sin definir
collect2: error: ld returned 1 exit status
make[2]: *** [src/gdl] Error 1
make[1]: *** [src/CMakeFiles/gdl.dir/all] Error 2
make: *** [all] Error 2
Precisamente esta librería libps fue la única que no encontré en los repositorios ni buscando en la página de openSUSE, terminé descargando el libps-dev y el libps0 de RPM search en el que aparecía que lso archivos eran de un repositorio de Factory

Soy un completo neófito en esto de compilar y de postear. Gracias de antemano
Responder Citando
  #2  
Antiguo 26-mar-2014, 22:16
Avatar de DiabloRojo
DiabloRojo DiabloRojo está desconectado
Super Moderador
 
Fecha de Ingreso: 19-marzo-2005
Ubicación: En un lugar del planeta Tierra
Versión: La ultima estable
Mensajes: 16.481
Agradecimientos: 563
Agradecido 2.416 Veces en 1.627 Mensajes
Poder de Credibilidad: 10
DiabloRojo llegará a ser famoso muy pronto
Cita:
Iniciado por Sancordar Ver Mensaje
Precisamente esta librería libps fue la única que no encontré en los repositorios ni buscando en la página de openSUSE, terminé descargando el libps-dev y el libps0 de RPM search en el que aparecía que lso archivos eran de un repositorio de Factory

Soy un completo neófito en esto de compilar y de postear. Gracias de antemano
De donde sacas que es esa libreria libps la que te falta?. Según esto, los requerimientos son otros: plplot, gsl y readline
http://gnudatalanguage.sourceforge.net/requirements.php

Para compilar, requieres que instales el patron "desarrollo base" de Yast, ademas de las librerias de desarrollo (paquetes terminados en -dev) que requiere GDL.

PD: Prueba el rpm de Fedora: http://koji.fedoraproject.org/koji/p...packageID=1830
__________________
NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
Síguenos en TWITTER y en FACEBOOK
Código:
Buscador de   Alojamiento      Alojamiento     Otros
 paquetes:    de imágenes:     de ficheros:    buscadores:
Search        TinyPic          Ifile Wuala     Simple y Facil
Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p
Responder Citando
  #3  
Antiguo 27-mar-2014, 18:48
Sancordar Sancordar está desconectado
Aforado
 
Fecha de Ingreso: 25-marzo-2014
Versión: Tumbleweed
Mensajes: 6
Agradecimientos: 1
Agradecido 1 Vez en 1 Mensaje
Poder de Credibilidad: 0
Sancordar está en el buen camino
Cita:
De donde sacas que es esa libreria libps la que te falta?. Según esto, los requerimientos son otros: plplot, gsl y readline
http://gnudatalanguage.sourceforge.net/requirements.php
Básicamente por luser, diría yo, no revisé bien esa página y mira que bien documentado que está GDL :/



Había intentado ese rpm pero me sale que necesito un hilo de dependencias:
Código:
libGraphicsMagick++-Q16
(El cual sospecho que es el mismo libMagick++-6_Q16-2 que aparece en yast solo con con el nombre cambiado)

Y bueno, lo descargo (como paquete de Fedora 20) y me pide sucesivamente:
Código:
libGraphicsMagick-Q16
Código:
libtiff
Y finalmente:
Código:
libjbig2
que según yast tengo instalado pero me sigue apareciendo que no tengo la dependencia y al buscar en internet me aparecen los mismo paquetes que tengo en los repositorios, o paquetes dev de fedora 13 o 17 (que tienen el mismo nombre que los de openSUSE).

He compilado e instalado ignorando libps, voy a hacer algunos ensayos y les comunicaré qué tal va.
Responder Citando
  #4  
Antiguo 28-mar-2014, 13:45
Avatar de DiabloRojo
DiabloRojo DiabloRojo está desconectado
Super Moderador
 
Fecha de Ingreso: 19-marzo-2005
Ubicación: En un lugar del planeta Tierra
Versión: La ultima estable
Mensajes: 16.481
Agradecimientos: 563
Agradecido 2.416 Veces en 1.627 Mensajes
Poder de Credibilidad: 10
DiabloRojo llegará a ser famoso muy pronto
Ese paquetes existen en el Search de mi firma, instala el de tu version de openSUSE:
http://software.opensuse.org/package...phicsMagick++3
http://software.opensuse.org/package...Magick++-Q16-3

Truco: Si te avisa que te falta una librería concreta, ejemplo: libpng0-26.so, se puede buscar la librería, ejemplo libpng0, sin los caracteres raros y numéricos en las carpetas /usr/lib y /usr/lib64 crear un enlace simbólico con el comando ln -s libreria_original libreria_ficticia

Para compilar fuentes o source necesitas paquetes de desarrollo, terminados en -dev o -devel, a mi me aparece una, usando la 12.2 y no se si es esa: libGraphicsMagick++-devel
__________________
NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
Síguenos en TWITTER y en FACEBOOK
Código:
Buscador de   Alojamiento      Alojamiento     Otros
 paquetes:    de imágenes:     de ficheros:    buscadores:
Search        TinyPic          Ifile Wuala     Simple y Facil
Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p

Última edición por DiabloRojo; 28-mar-2014 a las 13:54
Responder Citando
Respuesta

Marcadores

Etiquetas
gdl, gnu data language, linux, opensuse, opensuse 13.1


(0 miembros y 1 visitantes)
 
Herramientas
Desplegado

Normas de Publicación
No puedes crear nuevos temas
No puedes responder mensajes
No puedes subir archivos adjuntos
No puedes editar tus mensajes

Los Códigos BB están Activado
Las Caritas están Activado
[IMG] está Activado
El Código HTML está Desactivado

Ir al Foro

Temas Similares
Tema Autor Foro Respuestas Último mensaje
minidlna (Ahora Ready Media) de OpenSUSE 13.1 a Smart TV mad_man_moon Software 3 15-ene-2014 01:46
openSUSE 13.1 Gnome - Intenta iniciar y pantalla se queda en negro Chuchy Software 8 17-dic-2013 02:50
Intalando agente NRPE en suseserver 10 64bits prubilar Seguridad y Servidores 4 27-abr-2012 18:40
Repositorio Tumbleweed xisco Portal de ForoSUSE 15 10-abr-2012 19:14
Calendarios de Distros. Afrodita La cafetería 0 06-feb-2008 16:52



Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook


La franja horaria es GMT +2. Ahora son las 15:43.
Powered by vBulletin™
Copyright © vBulletin Solutions, Inc. All rights reserved.

Esta página está bajo una licencia de Creative Commons, salvo que no se indique lo contrario.
Creative Commons License

Valid CSS!

Diseño por:Designed by: vbdesigns.devbdesigns.de 
Contáctenos - ForoSUSE - Archivo - Declaración de Privacidad - Arriba